<template>
  <div class="claim-pic-demo-view">
    <div class="claim-pic-list">
      <el-image :src="IconDemo5" class="claim-pic" />
      <el-image :src="IconDemo1" class="claim-pic" />
      <el-image :src="IconDemo2" class="claim-pic" />
      <el-image :src="IconDemo3" class="claim-pic" />
      <el-image :src="IconDemo4" class="claim-pic" />
    </div>

    <div class="claim-pic-tips-list">
      <div class="claim-pic-tips-list-item">
        身份证照：1、身份证全部信息清晰无遮挡 2、允许加水印
      </div>
      <div class="claim-pic-tips-list-item">
        手持身份证照：1、脸部清晰无遮挡 2、身份证全部信息清晰无遮挡
      </div>
      <div class="claim-pic-tips-list-item">
        受伤部位、受伤场地：若涉及机器伤害，需拍摄受伤当时所操作的机器
      </div>
      <div class="claim-pic-tips-list-item">首诊病历：若有检查报告或住院病历，需一起上传</div>
    </div>
  </div>
</template>

<script setup lang="ts">
import IconDemo1 from '@/assets/claim/icon-demo-1.jpg';
import IconDemo2 from '@/assets/claim/icon-demo-2.jpg';
import IconDemo3 from '@/assets/claim/icon-demo-3.jpg';
import IconDemo4 from '@/assets/claim/icon-demo-4.jpg';
import IconDemo5 from '@/assets/claim/icon-demo-5.jpg';

defineOptions({
  name: 'ClaimPicDemoView',
});
</script>

<style lang="scss" scoped>
@use '@/style/common.scss' as *;

.claim-pic-demo-view {
  position: absolute;
  top: 0;
  left: 640px;

  .claim-pic-list {
    display: flex;
    margin-bottom: 10px;
    gap: 20px;

    .claim-pic {
      width: 120px;
      height: 120px;
    }
  }

  .claim-pic-tips-list {
    .claim-pic-tips-list-item {
      color: getCssVar('text-color', 'primary');
      line-height: 30px;
    }
  }
}

@media screen and (max-width: 1660px) {
  .claim-pic-demo-view {
    position: initial;
  }
}
</style>
